%define module_name             heci
%define module_version          5.0.0.31
%define module_release          alt1

%define kversion	2.6.27
%define krelease	alt16
%define flavour		std-def

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132635.16

Summary: Linux Kernel drivers  supporting Intel Active Management Technology.
License: GPL
Group: System/Kernel and hardware
URL: http://openamt.sourceforge.net

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>


ExclusiveOS: Linux
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86 x86_64

%description
The Intel(R) Manageability Engine Interface driver allows applications to access
the Intel(R) Active Management Technology (Intel(R) AMT) FW via host
interface (as opposed to a network interface).

The Intel(R) Manageability Engine Interface driver is meant to be used by the
Local Manageability Service. When the Intel AMT machine is in Legacy Mode,
the Intel(R) Manageability Engine Interface driver functions as the KCS driver
did for Intel AMT Release 1.0.

These are modules for your ALT Linux system.

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build KSRC=%_usrsrc/linux-%kversion-%flavour \
	KBUILD=%_usrsrc/linux-%kversion-%flavour 

%install
%__install -d %buildroot/%module_dir
%__cp -a heci.ko %buildroot/%module_dir/

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Tue Apr 07 2009 Michail Yakushin <silicium@altlinux.ru> 5.0.0.31-alt1.132635.16
- Build for kernel-image-std-def-2.6.27-alt16.

* Sat Jul 26 2008 Michail Yakushin <silicium@altlinux.ru> 5.0.0.31-alt1
- 5.0.0.31 

* Fri Jul 25 2008 Michail Yakushin <silicium@altlinux.ru> 3.2.0.24-alt1
- intial build for altlinux 

